// Copyright 2016 GAS Tecnologia
#ifndef  __GAS_TECNOLOGIA_GBAD__
#define __GAS_TECNOLOGIA_GBAD__

#ifndef _WINDOWS
#define __stdcall
#endif  // _WINDOWS

namespace gbad_sdk {

bool __stdcall Set_Gbad_Path(const char* caller_key, const char* path);
bool __stdcall Events_Start(const char* caller_key, const char* url, void* callback);
bool __stdcall Events_Stop(const char* caller_key);
bool __stdcall Events_SendLoginInfo(const char* caller_key, const char* agency,
    const char* account, const char* user, const char* user_param);
bool __stdcall Events_GetLoginEvent(const char* caller_key, const char* agency,
    const char* account, const char* user, const char* user_param, const char* passwd,
    char* buffer, const int buffer_size);

}  // namespace gbad_sdk

#endif  // __GAS_TECNOLOGIA_GBAD__
